
USE SVH_REPORT_DB
GO

/*
|| Autor: Jhon Reyes
|| Fecha: 2022.08.23
|| Proyecto: JUNO
|| Proceso: Actualizar el campo CUENTA_BALANCE de la tabla MAESTRO_CARTERA.
|| 			Esto es una petición para el informe de "Perímetro". 
|| 			El campo CUENTA_BALANCE se obtiene de la tabla UR_VALORES_CONTABLES_CUENTA_CIERRE
*/


--=========================================================================================================================================
--														         UPDATE CIERRE CUENTA CONTABLE - MAESTRO_CARTERA
--=========================================================================================================================================


DECLARE @ANYOMES VARCHAR(6);
SET @ANYOMES = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112);

UPDATE CARTERA
SET CARTERA.CUENTA_BALANCE = Z.CUENTA_MAYOR
FROM [JUNO].[MAESTRO_CARTERA] CARTERA
INNER JOIN
			(SELECT TOP 1 WITH TIES
			  CIERRE.SOCIEDAD,
			  CIERRE.UNIDAD_REGISTRAL,
			  CIERRE.CUENTA_MAYOR,
			  CIERRE.ANYO_MES,
			  ROW_NUMBER() OVER (PARTITION BY CIERRE.SOCIEDAD, CIERRE.UNIDAD_REGISTRAL ORDER BY CIERRE.CUENTA_MAYOR) RN_CUENTA_MAYOR
			FROM [SVH_CORP_DB].[dbo].[UR_VALORES_CONTABLES_CUENTA_CIERRE] CIERRE
			INNER JOIN [JUNO].[TMP_UR_MAESTRO_HIST] UR ON CIERRE.SOCIEDAD = UR.SOCIEDAD AND CIERRE.UNIDAD_REGISTRAL = UR.UNIDAD_REGISTRAL
			WHERE CIERRE.ANYO_MES = @ANYOMES
			AND UR.IND_MIGRACION = 'X'
			ORDER BY RN_CUENTA_MAYOR
			)Z ON CARTERA.SOCIEDAD = Z.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = Z.UNIDAD_REGISTRAL
WHERE CARTERA.PERIODO = @ANYOMES			


